Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.generators
Class GOST3410ParametersGenerator

    java.lang.Object
      org.bouncycastle.crypto.generators.GOST3410ParametersGenerator

    public class GOST3410ParametersGenerator

extends java.lang.Object

generate suitable parameters for GOST3410.

Constructor Summary
`GOST3410ParametersGenerator()`

Method Summary
`GOST3410Parameters` `generateParameters()` which generates the p , q and a values from the given parameters, returning the GOST3410Parameters object.
`void` `init(int size, int typeproc, java.security.SecureRandom random)` initialise the key generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410ParametersGenerator

    public GOST3410ParametersGenerator()

Method Detail

### init

    public void init(int size,
                     int typeproc,
                     java.security.SecureRandom random)

  initialise the key generator.

  Parameters:
    `size` - size of the key
    `typeproc` - type procedure A,B = 1; A',B' - else
    `random` - random byte source.

### generateParameters

    public GOST3410Parameters generateParameters()

  which generates the p , q and a values from the given parameters, returning the GOST3410Parameters object.

Bouncy Castle Cryptography Library 1.45